CREATE OR REPLACE VIEW food600.sinv_maxcdoklckartype
 AS
 SELECT doklady.datum_dokl,
    aa.c_karty,
    doklady.c_data,
    doklady.c_stredisk
   FROM food600.doklady
     JOIN ( SELECT obraty.c_karty,
            max(obraty.c_dokl) AS c_dokl,
            obraty.c_data,
            obraty.c_stredisk
           FROM food600.obraty
          WHERE obraty.operace = 'PE'::bpchar
          GROUP BY obraty.c_karty, obraty.c_data, obraty.c_stredisk) aa ON doklady.c_dokl = aa.c_dokl AND doklady.c_data = aa.c_data;
